Bug 173243 - sudo breaks
sudo breaks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 10:58 EST by Dave Jones
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-11 16:13:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-11-15 10:58:02 EST
Here's what happened in todays rawhide update..

  Updating  : selinux-policy-targeted      ####################### [28/58]
Attempting to install base module '/usr/share/selinux/targeted/base.pp':
Ok: return value of 0.
Committing changes:
libsepol.sepol_genbools_array: boolean allow_postgresql_use_pam no longer in policy
libsepol.sepol_genbools_array: boolean allow_write_xshm no longer in policy
libsepol.sepol_genbools_array: boolean getty_disable_trans no longer in policy
libsepol.sepol_genbools_array: boolean pppd_for_user no longer in policy
libsepol.sepol_genbools_array: boolean system_dbusd_disable_trans no longer in
policy
/var/lib is already defined in /etc/selinux/targeted/contexts/files/file_contexts,
/usr/sbin/genhomedircon will not create a new context.
Ok: transaction number 0.
/sbin/restorecon reset /core.1847 context
root:object_r:root_t->system_u:object_r:default_t
/sbin/restorecon reset /etc/X11/xdm/Xsession context
system_u:object_r:unlabeled_t->system_u:object_r:etc_t
/sbin/restorecon reset /etc/shadow.lock context
root:object_r:etc_t->system_u:object_r:shadow_t
/sbin/restorecon reset /etc/group.lock context
root:object_r:etc_t->system_u:object_r:shadow_t
/sbin/restorecon reset /etc/gshadow.lock context
root:object_r:etc_t->system_u:object_r:shadow_t
/sbin/restorecon reset /etc/passwd.lock context
root:object_r:etc_t->system_u:object_r:shadow_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.inputmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.usbmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.symbols context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.ccwmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.ieee1394map
context root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.seriomap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.isapnpmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.pcimap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.alias context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1665_FC5/modules.dep context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.inputmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.usbmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.symbols context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.ccwmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.ieee1394map
context root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.seriomap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.isapnpmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.pcimap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.alias context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1663_FC5/modules.dep context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.inputmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.usbmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.symbols context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.ccwmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.ieee1394map
context root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.seriomap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.isapnpmap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.pcimap context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.alias context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /lib/modules/2.6.14-1.1674_FC5/modules.dep context
root:object_r:modules_object_t->system_u:object_r:modules_dep_t
/sbin/restorecon reset /core.25232 context
root:object_r:etc_runtime_t->system_u:object_r:default_t
/sbin/restorecon reset /bin/umount context
system_u:object_r:bin_t->system_u:object_r:mount_exec_t
/sbin/restorecon reset /bin/tracepath context
system_u:object_r:bin_t->system_u:object_r:traceroute_exec_t
/sbin/restorecon reset /bin/tracepath6 context
system_u:object_r:bin_t->system_u:object_r:traceroute_exec_t
/sbin/restorecon reset /bin/traceroute context
system_u:object_r:bin_t->system_u:object_r:traceroute_exec_t
/sbin/restorecon reset /bin/mount context
system_u:object_r:bin_t->system_u:object_r:mount_exec_t
/sbin/restorecon reset /sbin/mkinitrd context
system_u:object_r:sbin_t->system_u:object_r:bootloader_exec_t
/sbin/restorecon reset /sbin/grub-md5-crypt context
system_u:object_r:sbin_t->system_u:object_r:bootloader_exec_t
/sbin/restorecon reset /sbin/grubby context
system_u:object_r:sbin_t->system_u:object_r:bootloader_exec_t
/sbin/restorecon reset /sbin/pam_console_apply context
system_u:object_r:sbin_t->system_u:object_r:pam_console_exec_t
/sbin/restorecon reset /sbin/grub context
system_u:object_r:sbin_t->system_u:object_r:bootloader_exec_t
/sbin/restorecon reset /sbin/grub-terminfo context
system_u:object_r:sbin_t->system_u:object_r:bootloader_exec_t
/sbin/restorecon reset /sbin/sulogin context
system_u:object_r:sbin_t->system_u:object_r:sulogin_exec_t
/sbin/restorecon reset /sbin/grub-install context
system_u:object_r:sbin_t->system_u:object_r:bootloader_exec_t
/sbin/restorecon reset /sbin/pam_timestamp_check context
system_u:object_r:sbin_t->system_u:object_r:pam_exec_t
/sbin/restorecon reset /lib64/security/pam_krb5/pam_krb5_storetmp context
system_u:object_r:lib_t->system_u:object_r:pam_exec_t
/sbin/restorecon reset /core.25332 context
root:object_r:etc_runtime_t->system_u:object_r:default_t
/sbin/restorecon reset /boot/System.map context
system_u:object_r:system_map_t->system_u:object_r:boot_t
/sbin/restorecon reset /core.4519 context
root:object_r:etc_runtime_t->system_u:object_r:default_t
/sbin/restorecon reset /var/lib/xdm context
system_u:object_r:unlabeled_t->system_u:object_r:var_lib_t
/sbin/restorecon reset /var/lib/xdm/authdir context
system_u:object_r:unlabeled_t->system_u:object_r:var_lib_t
/sbin/restorecon reset /var/lib/logrotate.status context
system_u:object_r:var_lib_t->system_u:object_r:logrotate_var_lib_t
/sbin/restorecon reset /var/run/sudo context
system_u:object_r:var_run_t->system_u:object_r:pam_var_run_t
/sbin/restorecon reset /var/run/sudo/_pam_timestamp_key context
system_u:object_r:var_run_t->system_u:object_r:pam_var_run_t
/sbin/restorecon reset /var/run/sudo/root context
system_u:object_r:var_run_t->system_u:object_r:pam_var_run_t
/sbin/restorecon reset /var/run/sudo/davej context
user_u:object_r:var_run_t->system_u:object_r:pam_var_run_t
/sbin/restorecon reset /var/run/console context
system_u:object_r:var_run_t->system_u:object_r:pam_var_console_t
/sbin/restorecon reset /var/run/console/console.lock context
system_u:object_r:var_run_t->system_u:object_r:pam_var_console_t
/sbin/restorecon reset /var/run/console/davej context
system_u:object_r:var_run_t->system_u:object_r:pam_var_console_t
/sbin/restorecon reset /var/run/sendmail.pid context
system_u:object_r:initrc_var_run_t->system_u:object_r:sendmail_var_run_t
/sbin/restorecon reset /var/run/sm-client.pid context
system_u:object_r:initrc_var_run_t->system_u:object_r:sendmail_var_run_t
/sbin/restorecon reset /var/log/rpmpkgs.4 context
system_u:object_r:var_log_t->system_u:object_r:rpm_log_t
/sbin/restorecon reset /var/log/rpmpkgs.1 context
system_u:object_r:var_log_t->system_u:object_r:rpm_log_t
/sbin/restorecon reset /var/log/gdm context
system_u:object_r:unlabeled_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log context
system_u:object_r:unlabeled_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.2 context
system_u:object_r:unlabeled_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.1 context
system_u:object_r:unlabeled_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.4 context
system_u:object_r:unlabeled_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.3 context
system_u:object_r:unlabeled_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/rpmpkgs.2 context
system_u:object_r:var_log_t->system_u:object_r:rpm_log_t
/sbin/restorecon reset /var/log/yum.log context
system_u:object_r:var_log_t->system_u:object_r:rpm_log_t
/sbin/restorecon reset /var/log/rpmpkgs.3 context
system_u:object_r:var_log_t->system_u:object_r:rpm_log_t
/sbin/restorecon reset /var/log/rpmpkgs context
system_u:object_r:var_log_t->system_u:object_r:rpm_log_t
/sbin/restorecon reset /var/log/yum.log.3 context
system_u:object_r:rpm_log_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/gdm context
system_u:object_r:unlabeled_t->system_u:object_r:var_t
/sbin/restorecon reset /var/gdm/:0.Xservers context
system_u:object_r:unlabeled_t->system_u:object_r:var_t
/sbin/restorecon reset /var/gdm/.cookie context
system_u:object_r:unlabeled_t->system_u:object_r:var_t
/sbin/restorecon reset /var/gdm/.gdmfifo context
system_u:object_r:unlabeled_t->system_u:object_r:var_t
/sbin/restorecon reset /var/gdm/:0.Xauth context
system_u:object_r:unlabeled_t->system_u:object_r:var_t
/sbin/restorecon reset /core.1871 context
root:object_r:root_t->system_u:object_r:default_t
/sbin/restorecon reset /core.28646 context
root:object_r:etc_runtime_t->system_u:object_r:default_t
/sbin/restorecon reset /usr/X11R6/lib/X11/xkb/xkbcomp context
system_u:object_r:lib_t->system_u:object_r:bin_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/jadetex.fmt context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/pdfetex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/omega.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/amstex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/aleph.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/tex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/lambda.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/mptopdf.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/mpost.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/jadetex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/bplain.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/pdflatex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/latex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/pdfjadetex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/cont-en.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/mf.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/bamstex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/etex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/pdftex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/pdfjadetex.fmt context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/lamed.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf-var/web2c/metafun.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/cracklib context
system_u:object_r:usr_t->system_u:object_r:crack_db_t
/sbin/restorecon reset /usr/share/cracklib/cracklib.magic context
system_u:object_r:usr_t->system_u:object_r:crack_db_t
/sbin/restorecon reset /usr/share/cracklib/pw_dict.hwm context
system_u:object_r:usr_t->system_u:object_r:crack_db_t
/sbin/restorecon reset /usr/share/cracklib/pw_dict.pwi context
system_u:object_r:usr_t->system_u:object_r:crack_db_t
/sbin/restorecon reset /usr/share/cracklib/pw_dict.pwd context
system_u:object_r:usr_t->system_u:object_r:crack_db_t
/sbin/restorecon reset /usr/share/texmf/web2c/jadetex.fmt context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf/web2c/jadetex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf/web2c/pdfjadetex.log context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/share/texmf/web2c/pdfjadetex.fmt context
root:object_r:tmp_t->system_u:object_r:usr_t
/sbin/restorecon reset /usr/lib/qt-3.3/etc/settings context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/qt-3.3/etc/settings/qtrc context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/qt-3.3/etc/settings/kstylerc context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/bin context
system_u:object_r:bin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/sbin context
system_u:object_r:sbin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/usr/X11R6/bin context
system_u:object_r:bin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre/bin
context system_u:object_r:bin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/bin
context system_u:object_r:bin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/usr/bin context
system_u:object_r:bin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/usr/sbin context
system_u:object_r:sbin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/usr/sbin/openldap context
system_u:object_r:sbin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib/debug/usr/lib64/qt-3.3/bin context
system_u:object_r:bin_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/bin/nmap context
system_u:object_r:bin_t->system_u:object_r:traceroute_exec_t
/sbin/restorecon reset /usr/bin/spamassassin context
system_u:object_r:bin_t->system_u:object_r:spamassassin_exec_t
/sbin/restorecon reset /usr/bin/smbmount context
system_u:object_r:bin_t->system_u:object_r:smbmount_exec_t
/sbin/restorecon reset /usr/bin/smbmnt context
system_u:object_r:bin_t->system_u:object_r:smbmount_exec_t
/sbin/restorecon reset /usr/bin/crontab context
system_u:object_r:bin_t->system_u:object_r:crontab_exec_t
/sbin/restorecon reset /usr/bin/at context
system_u:object_r:bin_t->system_u:object_r:crontab_exec_t
/sbin/restorecon reset /usr/bin/gpasswd context
system_u:object_r:bin_t->system_u:object_r:groupadd_exec_t
/sbin/restorecon reset /usr/sbin/groupmod context
system_u:object_r:sbin_t->system_u:object_r:groupadd_exec_t
/sbin/restorecon reset /usr/sbin/cracklib-check context
system_u:object_r:sbin_t->system_u:object_r:crack_exec_t
/sbin/restorecon reset /usr/sbin/tmpwatch context
system_u:object_r:sbin_t->system_u:object_r:tmpreaper_exec_t
/sbin/restorecon reset /usr/sbin/utempter context
system_u:object_r:sbin_t->system_u:object_r:utempter_exec_t
/sbin/restorecon reset /usr/sbin/cracklib-unpacker context
system_u:object_r:sbin_t->system_u:object_r:crack_exec_t
/sbin/restorecon reset /usr/sbin/useradd context
system_u:object_r:sbin_t->system_u:object_r:useradd_exec_t
/sbin/restorecon reset /usr/sbin/tcpd context
system_u:object_r:sbin_t->system_u:object_r:tcpd_exec_t
/sbin/restorecon reset /usr/sbin/cracklib-packer context
system_u:object_r:sbin_t->system_u:object_r:crack_exec_t
/sbin/restorecon reset /usr/sbin/logrotate context
system_u:object_r:sbin_t->system_u:object_r:logrotate_exec_t
/sbin/restorecon reset /usr/sbin/userdel context
system_u:object_r:sbin_t->system_u:object_r:useradd_exec_t
/sbin/restorecon reset /usr/sbin/groupadd context
system_u:object_r:sbin_t->system_u:object_r:groupadd_exec_t
/sbin/restorecon reset /usr/sbin/groupdel context
system_u:object_r:sbin_t->system_u:object_r:groupadd_exec_t
/sbin/restorecon reset /usr/sbin/usermod context
system_u:object_r:sbin_t->system_u:object_r:useradd_exec_t
/sbin/restorecon reset /usr/sbin/cracklib-format context
system_u:object_r:sbin_t->system_u:object_r:crack_exec_t
/sbin/restorecon reset /usr/lib64/qt-3.3/etc/settings context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib64/qt-3.3/etc/settings/qt_plugins_3.3rc context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib64/qt-3.3/etc/settings/qtrc context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib64/qt-3.3/etc/settings/.qtrc.lock context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib64/qt-3.3/etc/settings/.qt_plugins_3.3rc.lock
context system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib64/qt-3.3/etc/settings/kstylerc context
system_u:object_r:unlabeled_t->system_u:object_r:lib_t
/sbin/restorecon reset /usr/lib64/qt-3.3/bin context
system_u:object_r:bin_t->system_u:object_r:lib_t

...

  Cleanup   : selinux-policy-targeted      ####################### [52/58]
Attempting to install base module '/usr/share/selinux/targeted/base.pp':
Ok: return value of 0.
Committing changes:
/var/lib is already defined in
/etc/selinux/targeted/contexts/files/file_contexts,/usr/sbin/genhomedircon will
not create a new context.
Ok: transaction number 0.




After everything finished updating, strange things happen with 'sudo bash'
It works in a terminal I already had open, but in all new terminals, it just
prints..

sudo: unable to execute /usr/sbin/sesh: Permission denied



su also fails in similar ways..

(10:59:21:davej@nwo:~)$ su -
Password:
su: /bin/bash: Permission denied



(11:00:06:davej@nwo:~)$ ls --lcontext /usr/sbin/sesh
-rwxr-xr-x 1 system_u:object_r:shell_exec_t   root root 6720 Nov  8 06:43
/usr/sbin/sesh*

(11:00:15:davej@nwo:~)$ ls --lcontext /bin/bash
-rwxr-xr-x 1 system_u:object_r:shell_exec_t   root root 768896 Nov  9 11:15
/bin/bash*
Comment 1 Bojan Smojver 2005-11-15 18:29:28 EST
I'm guessing this is selinux-policy-targeted-2.0.0-1. If so, on my box I've seen
similar things. X wouldn't start at all. If I attempted that (i.e. start RL 5),
the text consoles (Ctrl+Alt+Fx) would not allow me to log in (after typing in
the username, it would prompt for username again, without waiting for the
password at all). I could log in when in RL 3.

After setting the policy to permissive, I can use the box.
Comment 2 Bojan Smojver 2005-11-15 18:33:36 EST
Oh, didn't mention it, the box I'm doing this on is i386 architecture, not x86_64.
Comment 3 Robert Scheck 2005-11-15 19:36:05 EST
Same here, I can confirm this.

IMHO selinux-policy-targeted-2.0.0-1 is currently more than broken - maybe 
that's the reason why it is called Rawhide :-S
Comment 4 Daniel Walsh 2005-11-28 13:22:05 EST
Fixed in selinux-policy-targeted-2.0.5-4

Note You need to log in before you can comment on or make changes to this bug.